<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Survey Form</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <h1 id="title">freeCodeCamp Survey Form</h1>
    <p id="description">Thank you for taking the time to help us improve the platform</p>
    <form action="" id="survey-form">
        <label for="name" id="name-label">Name</label>
        <input type="text" id="name" required placeholder="Enter your name">
        <label for="email" id="email-label">Email</label>
        <input type="email" pattern="[a-zA-Z0-9]{8,}" name="" id="email" placeholder="Enter your email" required>
        <label for="number" id="number-label">Age
<span>(optional)</span></label>
        <input type="number" name="phone" id="number" min="18" max="100" placeholder="Age">
        <label for="dropdown" id="dropdown-label-1">Which option best describes your current role?</label>
        <select name="Expireince" id="dropdown-1">
            <option value="">Select current role</option>
            <option value="0">Student</option>
            <option value="1">Full Time Job</option>
            <option value="2">Full Time Learner</option>
            <option value="3">Prefer not to say</option>
            <option value="4">Other</option>
        </select>
        
        <label id="radio-label" >Would you recommend freeCodeCamp to a friend?</label>
        <div>
        <input class="coise" type="radio" name="choose" id="choise_1" value="choise_1">
        <label  for="choise_1" id="radio-label-1"> Definitely</label>
        </div>
        <div>
        <input class="coise" type="radio" name="choose" id="choise_2" value="choise_2">
        <label for="choise_2" id="radio-label-2"> Maybe</label>
        </div>
        <div>
        <input class="coise" type="radio" name="choose" id="choise_3" value="choise_3">
        <label for="choise_3" id="radio-label-3"> Not sure</label>
        
        <div>
        <label for="dropdown" id="dropdown-label">What is your favorite feature of freeCodeCamp?</label>
        
        <select name="Expireince" id="dropdown">
            <option value="">Select an option</option>
            <option value="0">Challenges</option>
            <option value="1">Projects</option>
            <option value="2">Community</option>
            <option value="3">Open Source</option>
        </select>

<label>What would you like to see improved? <span>(Check all that apply)</span> </label>
        <div>
        <input class="coise" type="checkbox" name="language" id="check-1" value="check_1">
        <label for="check-1">Front-end Projects</label>
        </div>
        <div>
        <input class="coise" type="checkbox" name="language" id="check-2" value="check_2">
        <label for="check-2">Back-end Projects</label>
        </div>
        <div>
        <input class="coise" type="checkbox" name="language" id="check-3" value="check_3">
        <label for="check-3">Data Visualization</label>
        </div>
        <div>
        <input class="coise" type="checkbox" name="language" id="check-4" value="check_4">
        <label for="check-4">Challenges</label>
        </div>
        <div>
        <input class="coise" type="checkbox" name="language" id="check-5" value="check_5">
        <label for="check-5">Open Source Community</label>
        </div>
        <div>
        <input class="coise" type="checkbox" name="language" id="check-6" value="check_6">
        <label for="check-6">Gitter help rooms</label>
        </div>
        <div>
        <input class="coise" type="checkbox" name="language" id="check-7" value="check_7">
        <label for="check-7">Videos</label>
        </div>
        <div>
        <input class="coise" type="checkbox" name="language" id="check-8" value="check_8">
        <label for="check-8">City Meetups</label>
        </div>
        <div>
        <input class="coise" type="checkbox" name="language" id="check-9" value="check_9">
        <label for="check-9">Wiki</label>
        </div>
        <div>
        <input class="coise" type="checkbox" name="language" id="check-10" value="check_10">
        <label for="check-10">Forum</label>
        </div>
        <div>
        <input class="coise" type="checkbox" name="language" id="check-11" value="check_11">
        <label for="check-11">Additional Courses</label>
        </div>
        <label for="comment">Any comments or suggestions?</label>
        <textarea name="comment" id="comment" cols="30" rows="4" placeholder="Enter your comments here..."></textarea>

        <input type="submit" value="Submit" id="submit">
    </form>
    

</body>
</html>